Subject: bug#53785: closed (Re: bug#53785: [PATCH] gnu: lldb: Update to 13.0.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Feb 2022 22:22:02 +0000

Your bug report

#53785: [PATCH] gnu: lldb: Update to 13.0.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53785
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53785: [PATCH] gnu: lldb: Update to 13.0.1.
From: Ludovic Courtès <[email-masked]>
To: Greg Hogan <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Feb 2022 23:21:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Greg Hogan <[email-masked]> skribis:

> I could not tell if lldb had been overlooked during the LLVM 13 update or
> if there was a reason that this package was left behind.

I suppose there was no specific reason.  But AIUI, it’s not necessary to
update in lockstep either, right?

>>>From 6b10197220bd789d0dc0bd1131717d6ae46f46c1 Mon Sep 17 00:00:00 2001
> From: Greg Hogan <[email-masked]>
> Date: Fri, 4 Feb 2022 20:52:37 +0000
> Subject: [PATCH] gnu: lldb: Update to 13.0.1.
>
> * gnu/packages/llvm.scm (lldb): Update to 13.0.1.
> [inputs]: Change from LLVM-12 and CLANG-12 to LLVM-13 and CLANG-13.

Applied, thanks!

Ludo’.

Subject: [PATCH] gnu: lldb: Update to 13.0.1.
From: Greg Hogan <[email-masked]>
To: [email-masked]
Date: Fri, 4 Feb 2022 15:57:32 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I could not tell if lldb had been overlooked during the LLVM 13 update or
if there was a reason that this package was left behind.

Patch inline and attached.

>From 6b10197220bd789d0dc0bd1131717d6ae46f46c1 Mon Sep 17 00:00:00 2001
From: Greg Hogan <[email-masked]>
Date: Fri, 4 Feb 2022 20:52:37 +0000
Subject: [PATCH] gnu: lldb: Update to 13.0.1.

* gnu/packages/llvm.scm (lldb): Update to 13.0.1.
[inputs]: Change from LLVM-12 and CLANG-12 to LLVM-13 and CLANG-13.
---
 gnu/packages/llvm.scm | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
index 64b4e7521d..b6d52402a8 100644
--- a/gnu/packages/llvm.scm
+++ b/gnu/packages/llvm.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2021 Lars-Dominik Braun <[email-masked]>
 ;;; Copyright © 2021 Guillaume Le Vaillant <[email-masked]>
 ;;; Copyright © 2021 Maxim Cournoyer <[email-masked]>
+;;; Copyright © 2022 Greg Hogan <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1204,21 +1205,21 @@ (define-public lld-as-ld-wrapper
 (define-public lldb
   (package
     (name "lldb")
-    (version "12.0.1")
+    (version "13.0.1")
     (source (origin
               (method url-fetch)
               (uri (llvm-uri "lldb" version))
               (sha256
                (base32
-                "0g3pj1m3chafavpr35r9fynm85y2hdyla6klj0h28khxs2613i78"))))
+                "05nvcbgb4rx860r3jzsbpvcbzpd0i7nsm5qrpkyfhg5vrh5mj32a"))))
     (build-system cmake-build-system)
     (arguments
      `(#:configure-flags '("-DCMAKE_CXX_COMPILER=clang++")))
     (native-inputs
      (list pkg-config swig))
     (inputs
-     (list clang-12
-           llvm-12
+     (list clang-13
+           llvm-13
            ;; Optional (but recommended) inputs.
            ncurses
            libedit
-- 
2.34.0
From 6b10197220bd789d0dc0bd1131717d6ae46f46c1 Mon Sep 17 00:00:00 2001
From: Greg Hogan <[email-masked]>
Date: Fri, 4 Feb 2022 20:52:37 +0000
Subject: [PATCH] gnu: lldb: Update to 13.0.1.

* gnu/packages/llvm.scm (lldb): Update to 13.0.1.
[inputs]: Change from LLVM-12 and CLANG-12 to LLVM-13 and CLANG-13.
---
 gnu/packages/llvm.scm | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
index 64b4e7521d..b6d52402a8 100644
--- a/gnu/packages/llvm.scm
+++ b/gnu/packages/llvm.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2021 Lars-Dominik Braun <[email-masked]>
 ;;; Copyright © 2021 Guillaume Le Vaillant <[email-masked]>
 ;;; Copyright © 2021 Maxim Cournoyer <[email-masked]>
+;;; Copyright © 2022 Greg Hogan <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1204,21 +1205,21 @@ (define-public lld-as-ld-wrapper
 (define-public lldb
   (package
     (name "lldb")
-    (version "12.0.1")
+    (version "13.0.1")
     (source (origin
               (method url-fetch)
               (uri (llvm-uri "lldb" version))
               (sha256
                (base32
-                "0g3pj1m3chafavpr35r9fynm85y2hdyla6klj0h28khxs2613i78"))))
+                "05nvcbgb4rx860r3jzsbpvcbzpd0i7nsm5qrpkyfhg5vrh5mj32a"))))
     (build-system cmake-build-system)
     (arguments
      `(#:configure-flags '("-DCMAKE_CXX_COMPILER=clang++")))
     (native-inputs
      (list pkg-config swig))
     (inputs
-     (list clang-12
-           llvm-12
+     (list clang-13
+           llvm-13
            ;; Optional (but recommended) inputs.
            ncurses
            libedit
-- 
2.34.0